#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# back_to_a2.mcfunction | Teleport all players back to area 2 from an invalid location.
#                       | Called by 'xiphias:_run_every_second'
#

#   Reset score values for area 2
scoreboard players set @a xph_tp_counter 0
scoreboard players set SirSecondTick xph_location_id 2
scoreboard players set @a xph_location_id 2

#   Teleport players to area 2
spreadplayers 1704 80 3 1 false @s
playsound minecraft:item.chorus_fruit.teleport player @s ~ ~ ~ 1 .75 1
execute at @s run particle minecraft:cloud ~ ~ ~ 1 1 1 0 1000 normal @s

#   Player Messages
title @s times 20 100 20
title @s subtitle ["",{"text":"Exclusive Materials: "},{"text":"Stone","color":"green"},{"text":", "},{"text":"Lapis","color":"green"}]
title @s title {"text":"Truskeia","color":"aqua"}
tellraw @s {"text":"Crouch for 5 seconds without moving to return to the map hub.","italic":true}

# END OF LINE.